using SchoolContracts.BindingModels;
using SchoolContracts.SearchModels;
using SchoolContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SchoolContracts.BusinessLogicsContracts
{
	public interface IStudyLogic
	{
		List<StudyViewModel>? ReadList(StudySearchModel? model);
		StudyViewModel? ReadElement(StudySearchModel model);
		bool Create(StudyBindingModel model);
		bool Update(StudyBindingModel model);
		bool Delete(StudyBindingModel model);
	}
}
